<?php

namespace App\Http\Controllers\Admin\Finance;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\CommonIdRequest;
use App\Http\Requests\Admin\PageRequest;
use App\Http\Services\Admin\Finance\StatisticService;
use App\Http\Services\Admin\Order\IndexService;
use App\Http\Services\Admin\OrderService;
use Illuminate\Http\Request;

class StatisticController extends Controller
{
    //
    public function income(PageRequest $request)
    {
        return (new StatisticService())->income($request->only([
            'page',
            'pageSize',
            'type',
            'province',
            'city',
            'date',
            'month',
            'year'
        ]));
    }

}
