<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\PageRequest;
use App\Http\Requests\Admin\CommonIdRequest;
use App\Http\Services\Admin\FinanceService;
use App\Http\Services\Admin\OrderService;
use Illuminate\Http\Request;

class FinanceController extends Controller
{
    //
    public function index(PageRequest $request)
    {

    }

    public function withdraw(PageRequest $request)
    {
        return (new FinanceService())->withdraw($request->only(['page','pageSize','member','payee','status']));
    }

    public function audit(CommonIdRequest $request)
    {
        return (new FinanceService())->audit($request->only(['id','status']));
    }
    public function withdrawLog(PageRequest $request)
    {
        return (new FinanceService())->withdrawLog($request->only(['page','pageSize','user_id']));

    }
}
