<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2023/11/23 20:57
 */

namespace App\Http\Services\Frontend\Wechat;

use App\Http\Services\BaseService;
use App\Models\Order;
use App\Models\User;

class OfficialAccountService extends BaseService
{
    public function login(array $data)
    {

        $open_id = $data['open_id'];

        $exists = User::where('open_id',$open_id)->exists();
        if($exists){
            // token
            return $this->apiSuccess('',['exists' => $exists]);
        }
        else{
            return $this->apiSuccess('',['exists' => $exists]);
        }

        $delete_id = $data['id'];
        $order = Order::find($delete_id);
        !$order && $this->apiError($this->message['no_data']);
        $order->status && $this->apiError($this->message['delete_fail']);
        return $this->commonIsDelete(Order::query(), [$delete_id], $this->message['delete_success'], $this->message['delete_fail']);
    }
}
