<?php

namespace App\Http\Controllers\Admin\Order;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\CommonIdRequest;
use App\Http\Requests\Admin\PageRequest;
use App\Http\Services\Admin\Order\AlarmService;
use App\Http\Services\Admin\Order\IndexService;
use App\Http\Services\Admin\OrderService;
use Illuminate\Http\Request;

class AlarmController extends Controller
{
    //
    public function index(PageRequest $request)
    {
        return (new AlarmService())->index($request->only(['page','pageSize']));
    }

    public function realtime(Request $request)
    {
        return (new AlarmService())->realtime($request->only(['time']));
    }

    public function destroy(CommonIdRequest $request)
    {

    }

}
