<?php

namespace App\Http\Controllers\Admin\System;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\PageRequest;
use App\Http\Requests\Admin\CommonIdRequest;
use App\Http\Services\Admin\FinanceService;
use App\Http\Services\Admin\OrderService;
use App\Http\Services\Admin\System\MenusService;
use App\Http\Services\Admin\System\RoleAuthService;
use App\Http\Services\Admin\System\RoleService;
use App\Http\Services\Admin\SystemService;
use Illuminate\Http\Request;

class RoleAuthController extends Controller
{

    public function store(Request $request)
    {
        return (new RoleAuthService())->store($request->only(['role_id', 'auth_ids']));
    }

    public function detail(Request $request)
    {
        $id = $request->route('id');
        return (new RoleAuthService())->detail($id);
    }

}
