<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\PageRequest;
use App\Http\Requests\Admin\CommonIdRequest;
use App\Http\Services\Admin\FinanceService;
use App\Http\Services\Admin\OrderService;
use App\Http\Services\Admin\SystemService;
use Illuminate\Http\Request;

class SystemController extends Controller
{
    //
    public function index(PageRequest $request)
    {

    }

    public function users(PageRequest $request)
    {
        return (new SystemService())->users($request->only(['page','pageSize','status']));
    }

    public function roles(PageRequest $request)
    {
        return (new SystemService())->roles($request->only(['page','pageSize','status']));
    }

}
