<?php

namespace App\Http\Controllers\Admin\Task;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\PageRequest;
use App\Http\Requests\Admin\CommonIdRequest;
use App\Http\Services\Admin\FinanceService;
use App\Http\Services\Admin\OrderService;
use App\Http\Services\Admin\Project\CategoryService;
use App\Http\Services\Admin\Project\IndexService;
use App\Http\Services\Admin\System\MenusService;
use App\Http\Services\Admin\SystemService;
use App\Http\Services\Admin\Task\AgentStatisticService;
use App\Models\Project;
use Illuminate\Http\Request;

class AgentStatisticController extends Controller
{

    public function daily(Request $request)
    {
        return (new AgentStatisticService())->daily($request->only(['date']));
    }
}
