<?php

namespace App\Http\Controllers\Auth;

use App\Exceptions\ApiException;
use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\RegisterRequest;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class RegisteredUserController extends Controller
{
    /**
     * Handle an incoming registration request.
     *
     * @throws \Illuminate\Validation\ValidationException
     * @throws ApiException
     */
    public function store(RegisterRequest $request): ApiException
    {
//        throw new ApiException(['code'=>888,'message'=>'hahaha']);
        $user = User::create([
            'name' => $request->name,
            'email' => $request->email,
            'password' => Hash::make($request->password),
        ]);


//        event(new Registered($user));

        $return = Auth::guard('api')->attempt($user);
dd($return);
        return response()->noContent();
    }
}
