<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2023/11/23 20:57
 */

namespace App\Http\Services\Admin\Project;

use App\Http\Services\BaseService;
use App\Models\Admin;
use App\Models\Category;
use App\Models\Menu;
use App\Models\ProjectCategory;
use App\Models\User;

class CategoryService extends BaseService
{
    public function index($data)
    {
        $model = Category::query();

        if (!empty($data['name'])) {
            $model = $model->where('category_name', 'like', '%' . $data['name'] . '%');
        }
        if (isset($data['status']) && $data['status'] != '') {
            $model = $model->where('is_show', $data['status']);
        }

        $list = $model->oldest('list_order')
            ->paginate($data['pageSize'])
            ->toArray();
        return $this->apiSuccess('', [
            'list' => $list['data'],
            'total' => $list['total']
        ]);
    }

    public function store(array $data)
    {

    }

    public function detail($id)
    {

    }

    public function update(array $data)
    {

    }

    public function all()
    {
        $list = Category::query()
            ->select(['category_name','id'])
            ->get()
            ->toArray();
        return $this->apiSuccess('', [
            'list' => $list
        ]);
    }

}
