<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2023/11/23 20:57
 */

namespace App\Http\Services\Frontend\Account;

use App\Exceptions\ApiException;
use App\Http\Services\BaseService;
use App\Models\Admin;
use App\Models\Artificer;
use App\Models\ArtificerSite;
use App\Models\Order;
use App\Models\OrderGrab;
use App\Models\ProjectRelevancy;
use App\Models\User;
use App\Models\UserWithdraw;
use App\Models\UserWithdrawLog;
use Exception;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class UserService extends BaseService
{
    public function getUserByOpenID(array $data)
    {
        $open_id = $data['open_id'];


        $delete_id = $data['id'];
        $order = Order::find($delete_id);
        !$order && $this->apiError($this->message['no_data']);
        $order->status && $this->apiError($this->message['delete_fail']);
        return $this->commonIsDelete(Order::query(), [$delete_id], $this->message['delete_success'], $this->message['delete_fail']);
    }
}
