<?php

namespace App\Models;

use DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ProjectRelevancy extends Model
{
    use HasFactory;

    protected $table = 'js_project_relevancy';

    protected $hidden = [
        //
    ];

    protected $casts = [
//        'create_time' => 'datetime',
//        'password' => 'hashed',
    ];

    protected function serializeDate(DateTimeInterface $date): string
    {
        return $date->format('Y-m-d H:i:s');
    }

}
