<?php
/**
 * @Name
 * @Description
 * @Author 刘学玺
 * @Date 2023/12/1 18:44
 */

namespace App\Models;

use DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserWithdrawLog extends Model
{
//    use HasFactory;

    protected $table = 'user_money_log';

//    protected $fillable = ['user_id','money','type','remark','add_time','obj_id','order_id','yue'];

    public function order()
    {
        return $this->hasOne(Order::class, 'id', 'obj_id')->withTrashed()->select('id','order_sn','project_id', 'price', 'status', 'user_id','jiedan_js_id', 'create_time','pay_time','start_time','jiedan_time','finish_time','return_time','type','pay_type','pay_price','balance_price');
    }

    public function user(){
        return $this->hasOne(User::class,'id','user_id')->select('id', 'user_nickname', 'avatar', 'mobile','user_type');
    }

    public function withdraw(){
        return $this->hasOne(UserWithdraw::class,'id','obj_id');
    }

}
