<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class AdminTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('admin')->insertGetId([
            'name' => 'administrator',
            'nickname'=> '超级管理员',
            'phone' => '',
            'email'=>'',
            'password'=>bcrypt('yuhaksae'),
            'province_id'=>610000,
            'city_id'=>610100,
            'county_id'=>610113,
            'status'=>1,
            'sex'=>1,
            'birth'=>'1985-11-12',
            'created_at'=>date('Y-m-d H:i:s')
        ]);

        DB::table('admin')->insertGetId([
            'name' => 'admin',
            'nickname'=> '管理员',
            'phone' => '13361386140',
            'email'=>'925000654@qq.com',
            'password'=>bcrypt('123456'),
            'province_id'=>610000,
            'city_id'=>610100,
            'county_id'=>610113,
            'status'=>1,
            'sex'=>1,
            'birth'=>'1985-11-12',
            'created_at'=>date('Y-m-d H:i:s')
        ]);
    }
}
